"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shouldRunCheck = exports.DISABLE_DEPS_CHECK_ENV = exports.SKIP_ENV_KEY = void 0;
// The scripts that `pnpm run` executes are likely to also execute other `pnpm run`.
// We don't want this potentially expensive check to repeat.
// The solution is to use an env key to disable the check.
exports.SKIP_ENV_KEY = 'pnpm_run_skip_deps_check';
exports.DISABLE_DEPS_CHECK_ENV = {
    [exports.SKIP_ENV_KEY]: 'true',
};
const SCRIPTS_TO_SKIP = [
    'preinstall',
    'install',
    'postinstall',
    'preuninstall',
    'uninstall',
    'postuninstall',
];
const shouldRunCheck = (env, scriptName) => !env[exports.SKIP_ENV_KEY] && !SCRIPTS_TO_SKIP.includes(scriptName);
exports.shouldRunCheck = shouldRunCheck;
//# sourceMappingURL=shouldRunCheck.js.map